From foo@baz Tue Apr  9 12:12:43 2002
To: Greg KH <greg@kroah.com>
Date: 22 Oct 2004 16:50:27 -07:00
From: greg@kroah.com
Subject: class simple: mark exports as EXPORT_SYMBOL_GPL as these are core kernel functions.

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


diff -Nru a/drivers/base/class_simple.c b/drivers/base/class_simple.c
--- a/drivers/base/class_simple.c	2004-11-01 12:47:22 -08:00
+++ b/drivers/base/class_simple.c	2004-11-01 12:47:22 -08:00
@@ -91,7 +91,7 @@
 	kfree(cs);
 	return ERR_PTR(retval);
 }
-EXPORT_SYMBOL(class_simple_create);
+EXPORT_SYMBOL_GPL(class_simple_create);
 
 /**
  * class_simple_destroy - destroys a struct class_simple structure
@@ -107,7 +107,7 @@
 
 	class_unregister(&cs->class);
 }
-EXPORT_SYMBOL(class_simple_destroy);
+EXPORT_SYMBOL_GPL(class_simple_destroy);
 
 /**
  * class_simple_device_add - adds a class device to sysfs for a character driver
@@ -166,7 +166,7 @@
 	kfree(s_dev);
 	return ERR_PTR(retval);
 }
-EXPORT_SYMBOL(class_simple_device_add);
+EXPORT_SYMBOL_GPL(class_simple_device_add);
 
 /**
  * class_simple_set_hotplug - set the hotplug callback in the embedded struct class
@@ -184,7 +184,7 @@
 	cs->class.hotplug = hotplug;
 	return 0;
 }
-EXPORT_SYMBOL(class_simple_set_hotplug);
+EXPORT_SYMBOL_GPL(class_simple_set_hotplug);
 
 /**
  * class_simple_device_remove - removes a class device that was created with class_simple_device_add()
@@ -213,4 +213,4 @@
 		spin_unlock(&simple_dev_list_lock);
 	}
 }
-EXPORT_SYMBOL(class_simple_device_remove);
+EXPORT_SYMBOL_GPL(class_simple_device_remove);
